org.jboss.resteasy.core

## Class ResourceLocatorInvoker

- java.lang.Object
- - org.jboss.resteasy.core.ResourceLocatorInvoker

- All Implemented Interfaces:
    ResourceInvoker

      public class ResourceLocatorInvoker
      extends Object
      implements ResourceInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ConcurrentHashMap<Class,LocatorRegistry>` | `cachedSubresources`
    `protected InjectorFactory` | `injector`
    `protected ResourceLocator` | `method`
    `protected MethodInjector` | `methodInjector`
    `protected ResteasyProviderFactory` | `providerFactory`
    `protected ResourceFactory` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceLocatorInvoker(ResourceFactory resource, InjectorFactory injector, ResteasyProviderFactory providerFactory, ResourceLocator locator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `createResource(HttpRequest request, HttpResponse response)`
    `protected Object` | `createResource(HttpRequest request, HttpResponse response, Object locator)`
    `Method` | `getMethod()`
    `BuiltResponse` | `invoke(HttpRequest request, HttpResponse response)`
    `BuiltResponse` | `invoke(HttpRequest request, HttpResponse response, Object locator)`
    `protected BuiltResponse` | `invokeOnTargetObject(HttpRequest request, HttpResponse response, Object target)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### injector

          protected InjectorFactory injector

    - #### methodInjector

          protected MethodInjector methodInjector

    - #### resource

          protected ResourceFactory resource

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### method

          protected ResourceLocator method

    - #### cachedSubresources

          protected ConcurrentHashMap<Class,LocatorRegistry> cachedSubresources

  - ### Constructor Detail

    - #### ResourceLocatorInvoker

          public ResourceLocatorInvoker(ResourceFactory resource,
                                InjectorFactory injector,
                                ResteasyProviderFactory providerFactory,
                                ResourceLocator locator)

  - ### Method Detail

    - #### createResource

          protected Object createResource(HttpRequest request,
                              HttpResponse response)

    - #### createResource

          protected Object createResource(HttpRequest request,
                              HttpResponse response,
                              Object locator)

    - #### getMethod

          public Method getMethod()

      Specified by:
        `getMethod` in interface `ResourceInvoker`

    - #### invoke

          public BuiltResponse invoke(HttpRequest request,
                             HttpResponse response)

      Specified by:
        `invoke` in interface `ResourceInvoker`

    - #### invoke

          public BuiltResponse invoke(HttpRequest request,
                             HttpResponse response,
                             Object locator)

      Specified by:
        `invoke` in interface `ResourceInvoker`

    - #### invokeOnTargetObject

          protected BuiltResponse invokeOnTargetObject(HttpRequest request,
                                           HttpResponse response,
                                           Object target)

Copyright © 2014. All Rights Reserved.